Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app.filetransfer
Class UploadEvent

    java.lang.Object
      java.util.EventObject
          nextapp.echo2.app.filetransfer.UploadEvent

All Implemented Interfaces:
  java.io.Serializable

    public class UploadEvent

extends java.util.EventObject

An event that describes a file upload.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`UploadEvent(java.lang.Object source, java.io.InputStream inputStream, int size, java.lang.String contentType, java.lang.String fileName)` Creates a new `UploadEvent`

Method Summary
`java.lang.String` | `getContentType()` Returns the content type of the uploaded file.
`java.lang.String` | `getFileName()` Returns the file name of the uploaded file.
`java.io.InputStream` | `getInputStream()` Returns an input stream containing the uploaded file.
`int` | `getSize()` Returns the size of the uploaded file, in bytes.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UploadEvent

    public UploadEvent(java.lang.Object source,
                       java.io.InputStream inputStream,
                       int size,
                       java.lang.String contentType,
                       java.lang.String fileName)

  Creates a new `UploadEvent`

  Parameters:
    `source` - The source of the event.
    `inputStream` - An input stream referencing the uploaded file.
    `size` - The size of the input stream.
    `contentType` - The content type of the uploaded file.
    `fileName` - The file name of the uploaded file.

Method Detail

### getContentType

    public java.lang.String getContentType()

  Returns the content type of the uploaded file.

  Returns:
    The content type of the uploaded file.

### getFileName

    public java.lang.String getFileName()

  Returns the file name of the uploaded file.

  Returns:
    The file name of the uploaded file.

### getInputStream

    public java.io.InputStream getInputStream()

  Returns an input stream containing the uploaded file.

  Returns:
    An input stream containing the uploaded file.

### getSize

    public int getSize()

  Returns the size of the uploaded file, in bytes.

  Returns:
    The size of the uploaded file.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD